
#pragma once

typedef struct {
  bool CanRead;
  bool PenDown;
  s32 x,y;
} TDirectPenInfo;

extern void DirectPenStart(void);
extern const TDirectPenInfo DirectPenRead(void);
extern const TDirectPenInfo DirectPenRead_FromNowPosition(void);
extern bool DirectPenRead_isExclusive(void);
extern bool GetPenDown(void);
extern u32 GetKeyInputWithXY(void);
